Page MenuHomePhabricator

Wrong curid for history link in watchlist for category changes with wpusenewrc enabled
Closed, ResolvedPublic

Event Timeline

Fomafix created this task.Jul 18 2016, 11:19 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 18 2016, 11:19 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptJan 29 2017, 12:33 PM
Nardog added a subscriber: Nardog.EditedDec 21 2020, 11:28 PM

It seems this has been quietly resolved. Now categories with grouped changes are followed only by the plain text "(n changes)", no "history" link. Can someone identify the commit that implemented this change and close this task?

However, wrong curids still appear in permalinks (timestamps) in collapsed lines.

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 21 2020, 11:28 PM

The relevant line of code that hides the wrong "history" link is this one here: https://phabricator.wikimedia.org/source/mediawiki/browse/master/includes/changes/EnhancedChangesList.php$595. It exists since 2016. Nothing changed, as far as I can see.

I suggest to close this ticket and open a new one for the wrong curid in collapsed lines.

Nardog closed this task as Resolved.EditedDec 23 2020, 4:40 PM

@thiemowmde Alright, created T270774: Wrong curid and title (tooltip) in grouped category changes on Watchlist/RecentChanges.

T147770 wasn't really a duplicate, by the way, because that one was about diff links and this one history links. But both tasks indeed seem to have been squashed by the same change nevertheless.

It's weird you say it was fixed in 2016. I thought I'd seen those broken diff and history links just months ago, or my brain is failing me.